summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Seifert <soap@gentoo.org>2019-10-20 14:18:53 +0200
committerDavid Seifert <soap@gentoo.org>2019-10-20 14:21:02 +0200
commitca84438ae88deef4af1054a66f222e3935bf43b2 (patch)
treef97180c82104a3163da63a54af2cfc11dabc084e /www-misc/htdig
parentwww-misc/htdig: disable static libraries (diff)
downloadgentoo-ca84438ae88deef4af1054a66f222e3935bf43b2.tar.gz
gentoo-ca84438ae88deef4af1054a66f222e3935bf43b2.tar.bz2
gentoo-ca84438ae88deef4af1054a66f222e3935bf43b2.zip
www-misc/htdig: [QA] Multiple fixes
* HTML_DOCS too nested * .la files not removed * Missing sub-slot operators * Metadata var order Package-Manager: Portage-2.3.77, Repoman-2.3.17 Signed-off-by: David Seifert <soap@gentoo.org>
Diffstat (limited to 'www-misc/htdig')
-rw-r--r--www-misc/htdig/htdig-3.2.0_beta6-r5.ebuild19
1 files changed, 12 insertions, 7 deletions
diff --git a/www-misc/htdig/htdig-3.2.0_beta6-r5.ebuild b/www-misc/htdig/htdig-3.2.0_beta6-r5.ebuild
index 2a56281d446..97a63976bca 100644
--- a/www-misc/htdig/htdig-3.2.0_beta6-r5.ebuild
+++ b/www-misc/htdig/htdig-3.2.0_beta6-r5.ebuild
@@ -5,8 +5,7 @@ EAPI=7
inherit autotools
-MY_PV=${PV/_beta/b}
-S=${WORKDIR}/${PN}-${MY_PV}
+MY_PV="${PV/_beta/b}"
DESCRIPTION="HTTP/HTML indexing and searching system"
HOMEPAGE="http://www.htdig.org"
@@ -18,12 +17,15 @@ KEYWORDS="alpha amd64 ~arm ~arm64 hppa ia64 ~mips ppc ppc64 sparc x86 ~amd64-lin
IUSE="libressl ssl"
DEPEND="
- >=sys-libs/zlib-1.1.3
+ sys-libs/zlib
app-arch/unzip
ssl? (
- !libressl? ( dev-libs/openssl:0 )
- libressl? ( dev-libs/libressl )
+ !libressl? ( dev-libs/openssl:0= )
+ libressl? ( dev-libs/libressl:0= )
)"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${PN}-${MY_PV}"
PATCHES=(
"${FILESDIR}"/${P}-gcc4.patch
@@ -33,8 +35,7 @@ PATCHES=(
"${FILESDIR}"/${P}-musl.patch
"${FILESDIR}"/${P}-drop-bogus-assignment.patch #638720
)
-
-HTML_DOCS=( htdoc )
+HTML_DOCS=( htdoc/. )
src_prepare() {
default
@@ -62,6 +63,10 @@ src_install () {
"${ED}"/etc/${PN}/${PN}.conf \
"${ED}"/usr/bin/rundig \
|| die "sed failed (removing \${D} from installed files)"
+
# symlink htsearch so it can be easily found. see bug #62087
dosym ../../var/www/localhost/cgi-bin/htsearch /usr/bin/htsearch
+
+ # no static archives
+ find "${D}" -name '*.la' -delete || die
}